Re: Amaya on Gentoo

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

Re: Amaya on Gentoo

Jack-160
[Note to list:  I'm replying to a message in the web interface to the  
list archive.  Using the mailto: link, my email app (balsa) only got  
the address and subject, I had to manually copy/paste the In-Reply-To:  
header that hopefully will correctly link this as a reply to the  
original message from Silvio Seifke on 21 Sep 2012.]

Silvio,

It looks like you are trying to compile from source without using the  
ebuild from the Amaya download page.  If I translate the German  
correctly, it looks like there is no Makefile in the libwww directory,  
so the real source of the error is probably much higher in the log.  
First, what is in /home/siefke/Downloads/Amaya/obj/libwww.  Second,  
what parameters did you provide to configure?

I am also still trying to compile Amaya under Gentoo (see separate  
message about my problems related to raptor), but looking in my build  
log, it looks like I had no problem doing the "make -C libwww" which is  
why I'm guessing your problem is related to your configure parameters.  
I don't think any of the software versions you listed are related to  
your failure.

Jack
Reply | Threaded
Open this post in threaded view
|

Re: Amaya on Gentoo

Silvio Siefke-3
Hello,

On Fri, 09 Nov 2012 17:58:24 -0500
Jack <[hidden email]> wrote:

> Silvio,
>
> It looks like you are trying to compile from source without using the  
> ebuild from the Amaya download page.  If I translate the German  
> correctly, it looks like there is no Makefile in the libwww directory,  
> so the real source of the error is probably much higher in the log.  
> First, what is in /home/siefke/Downloads/Amaya/obj/libwww.  Second,  
> what parameters did you provide to configure?

How can install the ebuild file from Amaya?
 
> I am also still trying to compile Amaya under Gentoo (see separate  
> message about my problems related to raptor), but looking in my build  
> log, it looks like I had no problem doing the "make -C libwww" which is  
> why I'm guessing your problem is related to your configure parameters.  
> I don't think any of the software versions you listed are related to  
> your failure.

I run only ./configure ; make


Regards
Silvio

Reply | Threaded
Open this post in threaded view
|

Re: Amaya on Gentoo

Bugzilla from ostroffjh@users.sourceforge.net
On 2012.11.09 20:49, Silvio Siefke wrote:
> On Fri, 09 Nov 2012 17:58:24 -0500 Jack wrote:
>> It looks like you are trying to compile from source without using  
>> the ebuild from the Amaya download page.  If I translate the German  
>> correctly, it looks like there is no Makefile in the libwww  
>> directory, so the real source of the error is probably much higher  
>> in the log. First, what is in  
>> /home/siefke/Downloads/Amaya/obj/libwww.  Second, what parameters  
>> did you provide to configure?
> How can install the ebuild file from Amaya?
First, get the ebuild file from  
http://www.w3.org/Amaya/User/amaya.ebuild.  To use it, you need to set  
up a local overlay.  Instructions are at  
http://www.gentoo.org/proj/en/overlays/userguide.xml.  Using the ebuild  
allows you to control the configuration using USEflags.  It may be a  
bit more work than compiling directly, but it helps assuring you have  
all dependencies and it is usually easier to upgrade versions.  Also,  
using emerge saves the log of the configure/build process, which helps  
tracking down problems.

>> I am also still trying to compile Amaya under Gentoo (see separate  
>> message about my problems related to raptor), but looking in my  
>> build log, it looks like I had no problem doing the "make -C libwww"  
>> which is why I'm guessing your problem is related to your configure  
>> parameters. I don't think any of the software versions you listed  
>> are related to your failure.
> I run only ./configure ; make
OK.  As I see it, that means it is not trying to use the system libwww  
(which you may not have anyway) so something seems to have gone wrong  
during the configuration.  Is there anything in the  
/home/siefke/Downloads/Amaya/obj/libwww directory?  Do you see anything  
in the output of ./configure related to libwww that looks like it might  
be a problem?

> Regards
> Silvio
Jack



Reply | Threaded
Open this post in threaded view
|

Re: Amaya on Gentoo

Silvio Siefke-3
On Mon, 12 Nov 2012 07:25:38 +0000
Jack <[hidden email]> wrote:
> First, get the ebuild file from  
> http://www.w3.org/Amaya/User/amaya.ebuild.  To use it, you need to set  
> up a local overlay.  Instructions are at  
> http://www.gentoo.org/proj/en/overlays/userguide.xml.  Using the ebuild  
> allows you to control the configuration using USEflags.  It may be a  
> bit more work than compiling directly, but it helps assuring you have  
> all dependencies and it is usually easier to upgrade versions.  Also,  
> using emerge saves the log of the configure/build process, which helps  
> tracking down problems.

Sorry i have overlay in work, but when i put the ebuild file there nothing
happen. When i fetch a overlay with amaya in it, portage say me only:

gentoo-mobile portage # emerge -s amaya
Searching...   - * EAPI assignment in ebuild 'app-editors/amaya-11.3.1::amielke-overlay'
 * does not conform with PMS section 7.3.1 (see bug #402167):
 * valid EAPI assignment must occur on or before line: 8
 * NOTE: This error will soon become unconditionally fatal in a future
 * version of Portage, but at this time, it can by made non-fatal by
 * setting FEATURES=-parse-eapi-ebuild-head in make.conf.
 
[ Results for search key : amaya ]
[ Applications found : 1 ]

emerge: search: aux_get() failed, skipping

 * Messages for package app-editors/amaya-11.3.1:

 * EAPI assignment in ebuild 'app-editors/amaya-11.3.1::amielke-overlay'
 * does not conform with PMS section 7.3.1 (see bug #402167):
 * valid EAPI assignment must occur on or before line: 8
 * NOTE: This error will soon become unconditionally fatal in a future
 * version of Portage, but at this time, it can by made non-fatal by
 * setting FEATURES=-parse-eapi-ebuild-head in make.conf.

 
> OK.  As I see it, that means it is not trying to use the system libwww  
> (which you may not have anyway) so something seems to have gone wrong  
> during the configuration.  Is there anything in the  
> /home/siefke/Downloads/Amaya/obj/libwww directory?  Do you see anything  
> in the output of ./configure related to libwww that looks like it might  
> be a problem?

I must try new compile, because i have delete the directory. I have give up.

Regards and Thanks for help
Silvio

Reply | Threaded
Open this post in threaded view
|

Re: Amaya on Gentoo

Silvio Siefke-3
In reply to this post by Bugzilla from ostroffjh@users.sourceforge.net
Hello,

i have the config.log on my website.

http://www.silviosiefke.de/config.txt

Regards and Thank you
Silvio

Reply | Threaded
Open this post in threaded view
|

Re: Amaya on Gentoo

Silvio Siefke-3
In reply to this post by Bugzilla from ostroffjh@users.sourceforge.net
Hello,


the error messages come:

LARGE_FILES -D__WXGTK__ -pthread  -I/home/siefke/Downloads/Amaya11.4.4/Amaya/obj/Mesa/include  -I/usr/include/freetype2  -c ../../amaya/HTMLtable.c -o HTMLtable.o
../../amaya/HTMLtable.c: In Funktion »int* GetSiblingRow(int*, ThotBool, ThotBool)«:
../../amaya/HTMLtable.c:80:64: Warnung: suggest parentheses around »&&« within »||«
../../amaya/HTMLtable.c: In Funktion »int* GetCloseCell(int*, int*, Document, ThotBool, ThotBool, ThotBool, ThotBool*, int*, ThotBool)«:
../../amaya/HTMLtable.c:503:18: Warnung: suggest explicit braces to avoid ambiguous »else«
g++ -O2 -Wall -x c++ -D__cplusplus -D_UNIX   -DXML_GENERIC -D_GL -D_WX -DTEMPLATES -DSSL  -D_SVG  -DTEMPLATES -I../../../redland/raptor  -DANNOTATIONS -DDAV -DHT_DAV -DXML_DTD -DXML_NS -DHAVE_CONFIG_H -I. -I.. -I../../thotlib/include -I../../amaya -I../../amaya/f -I/home/siefke/Downloads/Amaya11.4.4/Amaya/obj/../../libwww/Library/src -I/home/siefke/Downloads/Amaya11.4.4/Amaya/obj/libwww -I/home/siefke/Downloads/Amaya11.4.4/Amaya/obj/../../libwww/modules/expat/lib -I/home/siefke/Downloads/Amaya11.4.4/Amaya/obj/../../libwww/Library/src/SSL    -I../../annotlib -I../../annotlib/f -I../../davlib/h -I../../davlib/tree/h -I../../davlib/f  -I/home/siefke/Downloads/Amaya11.4.4/wxWidgets/src/png -I/home/siefke/Downloads/Amaya11.4.4/wxWidgets/src/jpeg -I/home/siefke/Downloads/Amaya11.4.4/wxWidgets/src/tiff -I/home/siefke/Downloads/Amaya11.4.4/Amaya/obj/wxWidgets_RELEASE/lib/wx/include/gtk2-unicode-release-static-2.8 -I/home/siefke/Downloads/Amaya11.4.4/wxWidgets/include -I/home/siefke/Downloads/Amaya11.4.4/wxWidgets/contrib/include -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__ -pthread  -I/home/siefke/Downloads/Amaya11.4.4/wxWidgets/src/png -I/home/siefke/Downloads/Amaya11.4.4/wxWidgets/src/jpeg -I/home/siefke/Downloads/Amaya11.4.4/wxWidgets/src/tiff -I/home/siefke/Downloads/Amaya11.4.4/Amaya/obj/wxWidgets_RELEASE/lib/wx/include/gtk2-unicode-release-static-2.8 -I/home/siefke/Downloads/Amaya11.4.4/wxWidgets/include -I/home/siefke/Downloads/Amaya11.4.4/wxWidgets/contrib/include -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__ -pthread  -I/home/siefke/Downloads/Amaya11.4.4/Amaya/obj/Mesa/include  -I/usr/include/freetype2  -c ../../amaya/html2thot.c -o html2thot.o
../../amaya/html2thot.c: In Funktion »void GetNextHTMLbuffer(FILE*, ThotBool*, char**, int*)«:
../../amaya/html2thot.c:4353:70: Fehler: »FILE*« kann nicht nach »gzFile_s*« für Argument »1« nach »int gzread(gzFile_s*, void*, unsigned int)« umgewandelt werden
make[1]: *** [html2thot.o] Fehler 1
make[1]: Leaving directory `/home/siefke/Downloads/Amaya11.4.4/Amaya/obj/amaya'
make: *** [amaya_prog] Fehler 2



Regards and Thank you
Silvio